Subject: RE: [Sigtran] m3ua: IG : n+k redundancy - AS state machine

From: "Javier Pastor-Balbas (ECE)" <[email-masked]>
Date: Wed, 26 Jun 2002 17:01:23 +0200

Hi guys, 

This is the modified AS state machine applied to the n+k redundancy. I've completed the one that Tolga sent several mails ago. 

             Figure 5: AS State Transition Diagram

     +----------+ n ASPs are in ACTIVE state  +-------------+
     |    AS-   |---------------------------->|     AS-     |
     | INACTIVE |                             |   ACTIVE    |
     |          |<---                         |             |
     +----------+    \                        +-------------+
        ^   |         \          one ASP trans to ^    |
        |   |          \       ASP-ACTIVE causing |    | one ACTIVE
        |   |           \        number of ACTIVE |    | ASP trans to
        |   |            \           ASPs to be n |    | ASP-INACTIVE
        |   |             \                       |    | or ASP-DOWN
        |   |              \                      |    | causing
n ASPs  |   | one ASP       \                     |    | number of
are in  |   | trans to       \                    |    | ACTIVE ASPs
ASP-    |   | ASP-DOWN        -------\            |    | drop 
INACTIVE|   |                         \           |    | (start Tr)
or ASP- |   |                          \          |    | 
ACTIVE  |   |                           \         |    | 
state   |   |                  Tr expiry \        |    |  
        |   v          The ASPs needed to \       |    v
     +----------+       reach n ACTIVE are \  +-------------+
     |          |     still in ASP-INACTIVE --|             |
     | AS-DOWN  |                      state  | AS-PENDING  |
     |          |                             |  (queueing) |
     |          |<----------------------------|             |
     +----------+    Tr Expiry and the ASPs   +-------------+
                     needed to reach n ACTIVE 
                     ASPs are in ASP-DOWN state

Any missing transitions?

Cheers // Javier.

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Tolga Asveren" <[email-masked]>
Date: Wed, 26 Jun 2002 11:42:42 -0400

Javier,

For transitions to/from AS-INACTIVE from/to AS-DOWN I am not sure whether n
ASPs should be in INACTIVE state or just 1 is enough. I tend to think, 1 ASP
should be enough to declare AS as INACTIVE. IMO n is only important as the
number of ACTIVE ASPs to handle the traffic, that was the reason, why I left
transitions between AS-DOWN/AS-INACTIVE as in the AS State Transition
Diagram in the draft (but this issue is still to be discussed).

    Tolga

> -----Original Message-----
> From: Javier Pastor-Balbas (ECE)
> [mailto:[email-masked]]
> Sent: Wednesday, June 26, 2002 11:01 AM
> To: [email-masked]
> Cc: 'Tolga Asveren'
> Subject: RE: [Sigtran] m3ua: IG : n+k redundancy - AS state machine
>
>
> Hi guys,
>
> This is the modified AS state machine applied to the n+k
> redundancy. I've completed the one that Tolga sent several mails ago.
>
>